Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355923 - lvs coredumps if previous creation of the lvmcache failed half-way
Summary: lvs coredumps if previous creation of the lvmcache failed half-way
Keywords:
Status: POST
Alias: None
Product: LVM and device-mapper
Classification: Community
Component: lvm2
Version: 2.02.160
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: David Teigland
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 02:49 UTC by Timur Bakeyev
Modified: 2016-07-18 21:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
rule-engine: lvm-technical-solution?
rule-engine: lvm-test-coverage?


Attachments (Terms of Use)

Description Timur Bakeyev 2016-07-13 02:49:26 UTC
Description of problem:

I've tried to create cache pool with one command, setting the cache-pool LV size to the total amount of free PEs. Apparently, space for the accompaning metadata LV is taken from remaining free PEs, instead of taking it from the pool of PEs allocated for cache LV. Which is not logical, IMHO, but that's different question.

Version-Release number of selected component (if applicable):

LVM2-2.02.160

How reproducible:

I have:

# fdisk -l /dev/nvme0n1

Disk /dev/nvme0n1: 745.2 GiB, 800166076416 bytes, 1562824368 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 7CD06AEA-CF53-4943-9821-2455E73B5890

Device         Start        End    Sectors  Size Type
/dev/nvme0n1p1  2048 1048578047 1048576000  500G Linux filesystem

Which is configured as PV:

# pvs
   PV             VG     Fmt  Attr PSize   PFree
  /dev/nvme0n1p1 store0 lvm2 a--  500.00g 500.00g
  /dev/sdb1      store0 lvm2 a--    4.36t 373.00g

# pvdisplay
  --- Physical volume ---
  PV Name               /dev/sdb1
  VG Name               store0
  PV Size               4.36 TiB / not usable 2.98 MiB
  Allocatable           yes
  PE Size               4.00 MiB
  Total PE              1144063
  Free PE               95487
  Allocated PE          1048576
  PV UUID               wb1Sio-sVNW-9d8E-5Avn-yL6g-a3IF-hGppWi

  --- Physical volume ---
  PV Name               /dev/nvme0n1p1
  VG Name               store0
  PV Size               500.00 GiB / not usable 4.00 MiB
  Allocatable           yes
  PE Size               4.00 MiB
  Total PE              127999
  Free PE               127999
  Allocated PE          0
  PV UUID               MmGKjM-GNds-Vvtq-mPtU-bKXr-bSLP-QLng74

# lvs -a
  LV    VG     Attr       LSize Pool Origin Data%  Meta%  Move Log Cpy%Sync Convert
  mysql store0 -wi-ao---- 4.00t

Steps to Reproduce:

# lvcreate --type cache -l 127999 -n mysql_cache store0/mysql /dev/nvme0n1p1
  Insufficient free space: 128086 extents needed, but only 127912 available

Ok, it failed due insufficient space. But:

# lvdisplay
  --- Logical volume ---
  LV Path                /dev/store0/mysql
  LV Name                mysql
  VG Name                store0
  LV UUID                eAUato-C4Ux-k6sZ-fEKg-EVeN-PqXb-alx6zw
  LV Write Access        read/write
  LV Creation host, time mysql25.ad-lab.nl, 2016-07-06 03:06:41 +0200
  LV Status              available
  # open                 1
  LV Size                4.00 TiB
  Current LE             1048576
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:3

  --- Logical volume ---
  LV Path                /dev/store0/mysql_cache
  LV Name                mysql_cache
  VG Name                store0
  LV UUID                j8b5C2-bMTZ-aG8d-8LGX-5rXz-K502-c6i4GV
  LV Write Access        read/write
  LV Creation host, time mysql25.ad-lab.nl, 2016-07-13 04:31:53 +0200
  LV Status              NOT available
  LV Size                0
  Current LE             0
  Segments               0
  Allocation             inherit
  Read ahead sectors     auto

Some information was written.

Actual results:

# lvs -a

Segmentation fault

lvs can't coope with such half-created LV. Luckily, lvremove still works on it:

# lvremove store0/mysql_cache
  Logical volume "mysql_cache" successfully removed

Expected results:

# lvcreate --type cache -l 127000 -n mysql_cache store0/mysql /dev/nvme0n1p1
  Logical volume store0/mysql is now cached.

# lvs -a
  LV                  VG     Attr       LSize   Pool          Origin Data%  Meta%  Move Log Cpy%Sync Convert
  [lvol0_pmspare]     store0 ewi------- 348.00m
  mysql               store0 Cwi-aoC---   4.00t [mysql_cache]        0.00                   100.00
  [mysql_cache]       store0 Cwi---C--- 496.09g
  [mysql_cache_cdata] store0 Cwi-ao---- 496.09g
  [mysql_cache_cmeta] store0 ewi-ao---- 348.00m
  [mysql_corig]       store0 owi-aoC---   4.00t

Additional info:

Results of running 'lvs -vvvv -a':
#lvmcmdline.c:1603         DEGRADED MODE. Incomplete RAID LVs will be processed.
#libdm-config.c:1036       Setting activation/monitoring to 1
#lvmcmdline.c:1609         Processing: lvs -vvvvv -a
#lvmcmdline.c:1610         Command pid: 3792
#lvmcmdline.c:1611         system ID:
#lvmcmdline.c:1614         O_DIRECT will be used
#libdm-config.c:972       Setting global/locking_type to 1
#libdm-config.c:1036       Setting global/wait_for_locks to 1
#locking/locking.c:129       File-based locking selected.
#libdm-config.c:1036       Setting global/prioritise_write_locks to 1
#libdm-config.c:941       Setting global/locking_dir to /run/lock/lvm
#libdm-config.c:1036       Setting global/use_lvmlockd to 0
#cache/lvmetad.c:255         Sending lvmetad get_global_info
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting token to filter:3239235440
#libdm-config.c:972       Setting daemon_pid to 1183
#libdm-config.c:941       Setting response to OK
#libdm-config.c:972       Setting global_disable to 0
#libdm-config.c:950       report/output_format not found in config: defaulting to basic
#libdm-config.c:1049       log/report_command_log not found in config: defaulting to 0
#libdm-config.c:1049       report/aligned not found in config: defaulting to 1
#libdm-config.c:1049       report/buffered not found in config: defaulting to 1
#libdm-config.c:1049       report/headings not found in config: defaulting to 1
#libdm-config.c:950       report/separator not found in config: defaulting to
#libdm-config.c:1049       report/prefixes not found in config: defaulting to 0
#libdm-config.c:1049       report/quoted not found in config: defaulting to 1
#libdm-config.c:1049       report/colums_as_rows not found in config: defaulting to 0
#libdm-config.c:950       report/lvs_sort not found in config: defaulting to vg_name,lv_name
#libdm-config.c:950       report/lvs_cols_verbose not found in config: defaulting to lv_name,vg_name,seg_count,lv_attr,lv_size,lv_major,lv_minor,lv_kernel_major,lv_kernel_minor,pool_lv,origin,data_percent,metadata_percent,move_pv,copy_percent,mirror_log,convert_lv,lv_uuid,lv_profile
#libdm-config.c:950       report/compact_output_cols not found in config: defaulting to
#toollib.c:2926         Get list of VGs on system
#cache/lvmetad.c:1425         Asking lvmetad for complete list of known VG ids/names
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting name to store0
#toollib.c:2800       Processing VG store0 0Lc2Qw-IzFa-vZ12-8XLn-TNHr-ThMf-ghATqi
#cache/lvmcache.c:522         lvmcache has no info for vgname "store0".
#misc/lvm-flock.c:200       Locking /run/lock/lvm/V_store0 RB
#misc/lvm-flock.c:101         _do_flock /run/lock/lvm/V_store0:aux WB
#misc/lvm-flock.c:48         _undo_flock /run/lock/lvm/V_store0:aux
#misc/lvm-flock.c:101         _do_flock /run/lock/lvm/V_store0 RB
#cache/lvmcache.c:522         lvmcache has no info for vgname "store0".
#metadata/metadata.c:4151       Reading VG store0 0Lc2QwIzFavZ128XLnTNHrThMfghATqi
#cache/lvmcache.c:619         Metadata cache has no info for vgid "0Lc2QwIzFavZ128XLnTNHrThMfghATqi"
#cache/lvmetad.c:981         Asking lvmetad for VG 0Lc2Qw-IzFa-vZ12-8XLn-TNHr-ThMf-ghATqi store0
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting name to store0
#libdm-config.c:941       Setting metadata/format to lvm2
#cache/lvmcache.c:522         lvmcache has no info for vgname "store0" with VGID 0Lc2QwIzFavZ128XLnTNHrThMfghATqi.
#format_text/format-text.c:2003         <backtrace>
#libdm-config.c:941       Setting id to MDHQo2-nsC2-GyAC-PjyL-E744-HjWe-x8jOod
#libdm-config.c:941       Setting format to lvm2
#libdm-config.c:972       Setting device to 2065
#libdm-config.c:972       Setting dev_size to 9372170207
#libdm-config.c:972       Setting label_sector to 1
#libdm-config.c:972       Setting ext_flags to 1
#libdm-config.c:972       Setting ext_version to 2
#device/dev-cache.c:356         /dev/sda: Added to device cache (8:0)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f: Aliased to /dev/sda in device cache (8:0)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f: Aliased to /dev/sda in device cache (8:0)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0: Aliased to /dev/sda in device cache (8:0)
#device/dev-cache.c:356         /dev/sda1: Added to device cache (8:1)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part1: Aliased to /dev/sda1 in device cache (8:1)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part1: Aliased to /dev/sda1 in device cache (8:1)
#device/dev-cache.c:352         /dev/disk/by-partuuid/6c525ce1-6004-4fc7-b35f-64b41bfe93e8: Aliased to /dev/sda1 in device cache (8:1)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part1: Aliased to /dev/sda1 in device cache (8:1)
#device/dev-cache.c:356         /dev/sda2: Added to device cache (8:2)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part2: Aliased to /dev/sda2 in device cache (8:2)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part2: Aliased to /dev/sda2 in device cache (8:2)
#device/dev-cache.c:352         /dev/disk/by-partuuid/15121e3d-0fbc-4802-a08b-ce92fba3f527: Aliased to /dev/sda2 in device cache (8:2)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part2: Aliased to /dev/sda2 in device cache (8:2)
#device/dev-cache.c:352         /dev/disk/by-uuid/a2966403-a931-4c10-bb1e-144786d52540: Aliased to /dev/sda2 in device cache (8:2)
#device/dev-cache.c:356         /dev/sda3: Added to device cache (8:3)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part3: Aliased to /dev/sda3 in device cache (8:3)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part3: Aliased to /dev/sda3 in device cache (8:3)
#device/dev-cache.c:352         /dev/disk/by-partuuid/e21b8ada-9f80-4ac8-94fd-214c43e46bf7: Aliased to /dev/sda3 in device cache (8:3)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part3: Aliased to /dev/sda3 in device cache (8:3)
#device/dev-cache.c:352         /dev/disk/by-uuid/a47e10c2-1301-4177-a094-b41c5b3baafe: Aliased to /dev/sda3 in device cache (8:3)
#device/dev-cache.c:356         /dev/sda4: Added to device cache (8:4)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part4: Aliased to /dev/sda4 in device cache (8:4)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part4: Aliased to /dev/sda4 in device cache (8:4)
#device/dev-cache.c:352         /dev/disk/by-partuuid/5e98b9a0-f43b-41bd-a7c2-969685f0a5ba: Aliased to /dev/sda4 in device cache (8:4)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part4: Aliased to /dev/sda4 in device cache (8:4)
#device/dev-cache.c:356         /dev/sdb: Added to device cache (8:16)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f1021d7c7b0787a: Aliased to /dev/sdb in device cache (8:16)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f1021d7c7b0787a: Aliased to /dev/sdb in device cache (8:16)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:1:0: Aliased to /dev/sdb in device cache (8:16)
#device/dev-cache.c:356         /dev/sdb1: Added to device cache (8:17)
#device/dev-cache.c:352         /dev/disk/by-id/lvm-pv-uuid-MDHQo2-nsC2-GyAC-PjyL-E744-HjWe-x8jOod: Aliased to /dev/sdb1 in device cache (8:17)
#device/dev-cache.c:352         /dev/disk/by-id/scsi-36141877064c5cb001f1021d7c7b0787a-part1: Aliased to /dev/sdb1 in device cache (8:17)
#device/dev-cache.c:352         /dev/disk/by-id/wwn-0x6141877064c5cb001f1021d7c7b0787a-part1: Aliased to /dev/sdb1 in device cache (8:17)
#device/dev-cache.c:352         /dev/disk/by-partuuid/b9a4ee34-f22a-4729-94a4-064a17cb310c: Aliased to /dev/sdb1 in device cache (8:17)
#device/dev-cache.c:352         /dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:1:0-part1: Aliased to /dev/sdb1 in device cache (8:17)
#device/dev-cache.c:356         /dev/nvme0n1: Added to device cache (259:0)
#device/dev-cache.c:356         /dev/nvme0n1p1: Added to device cache (259:1)
#device/dev-cache.c:352         /dev/disk/by-id/lvm-pv-uuid-q13u0l-X2tf-reyg-pVg4-sWld-s2BV-bO9J2v: Aliased to /dev/nvme0n1p1 in device cache (259:1)
#device/dev-cache.c:352         /dev/disk/by-partuuid/8bb5c1dd-3eaf-4e71-a71f-471713961e65: Aliased to /dev/nvme0n1p1 in device cache (259:1)
#device/dev-cache.c:356         /dev/dm-0: Added to device cache (253:0)
#device/dev-cache.c:352         /dev/disk/by-id/dm-name-store0-mysql: Aliased to /dev/dm-0 in device cache (preferred name) (253:0)
#device/dev-cache.c:352         /dev/disk/by-id/dm-uuid-LVM-0Lc2QwIzFavZ128XLnTNHrThMfghATqiXbCuoMk1XmHYImzc9yIW1341IPU4OouF: Aliased to /dev/disk/by-id/dm-name-store0-mysql in device cache (253:0)
#device/dev-cache.c:352         /dev/disk/by-uuid/bcc0ff6a-9bd3-41a8-b741-4b871cce9596: Aliased to /dev/disk/by-id/dm-name-store0-mysql in device cache (253:0)
#device/dev-cache.c:352         /dev/mapper/store0-mysql: Aliased to /dev/disk/by-id/dm-name-store0-mysql in device cache (preferred name) (253:0)
#device/dev-cache.c:352         /dev/store0/mysql: Aliased to /dev/mapper/store0-mysql in device cache (preferred name) (253:0)
#cache/lvmcache.c:1873         lvmcache /dev/sdb1: now in VG #orphans_lvm2 (#orphans_lvm2) with 0 mda(s).
#libdm-config.c:972       Setting size to 1044480
#libdm-config.c:972       Setting start to 4096
#libdm-config.c:972       Setting ignore to 0
#libdm-config.c:941       Setting id to q13u0l-X2tf-reyg-pVg4-sWld-s2BV-bO9J2v
#libdm-config.c:941       Setting format to lvm2
#libdm-config.c:972       Setting device to 66305
#libdm-config.c:972       Setting dev_size to 1048576000
#libdm-config.c:972       Setting label_sector to 1
#libdm-config.c:972       Setting ext_flags to 1
#libdm-config.c:972       Setting ext_version to 2
#cache/lvmcache.c:1873         lvmcache /dev/nvme0n1p1: now in VG #orphans_lvm2 (#orphans_lvm2) with 0 mda(s).
#libdm-config.c:972       Setting size to 1044480
#libdm-config.c:972       Setting start to 4096
#libdm-config.c:972       Setting ignore to 0
#metadata/vg.c:74         Allocated VG store0 at 0x5653b38c2a50.
#format_text/import_vsn1.c:572         Importing logical volume store0/mysql.
#format_text/import_vsn1.c:572         Importing logical volume store0/mysql_cache.
#format_text/import_vsn1.c:572         Importing logical volume store0/lvol0_pmspare.
#format_text/import_vsn1.c:690         Logical volume store0/lvol0_pmspare is pool metadata spare.
#cache/lvmcache.c:522         lvmcache has no info for vgname "store0" with VGID 0Lc2QwIzFavZ128XLnTNHrThMfghATqi.
#cache/lvmcache.c:522         lvmcache has no info for vgname "store0".
#cache/lvmcache.c:1873         lvmcache /dev/sdb1: now in VG store0 with 1 mda(s).
#cache/lvmcache.c:1637         lvmcache /dev/sdb1: VG store0: set VGID to 0Lc2QwIzFavZ128XLnTNHrThMfghATqi.
#cache/lvmcache.c:1949         lvmcache /dev/sdb1: VG store0: set system_id to .
#cache/lvmcache.c:1873         lvmcache /dev/nvme0n1p1: now in VG store0 (0Lc2QwIzFavZ128XLnTNHrThMfghATqi) with 1 mda(s).
#cache/lvmetad.c:2241         Sending lvmetad vg_clear_outdated_pvs
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting response to OK
#libdm-config.c:941       Setting response to OK
#device/dev-io.c:570         Opened /dev/sdb1 RO O_DIRECT
#device/dev-io.c:330       /dev/sdb1: size is 9372170207 sectors
#device/dev-io.c:570         Opened /dev/nvme0n1p1 RO O_DIRECT
#device/dev-io.c:330       /dev/nvme0n1p1: size is 1048576000 sectors
#metadata/pv_manip.c:420         /dev/sdb1 0:      0 1048576: mysql(0:0)
#metadata/pv_manip.c:420         /dev/sdb1 1: 1048576  95487: NULL(0:0)
#metadata/pv_manip.c:420         /dev/nvme0n1p1 0:      0     87: lvol0_pmspare(0:0)
#metadata/pv_manip.c:420         /dev/nvme0n1p1 1:     87 127912: NULL(0:0)
#metadata/vg.c:74         Allocated VG store0 at 0x5653b38c6a60.
#format_text/import_vsn1.c:572         Importing logical volume store0/mysql.
#format_text/import_vsn1.c:572         Importing logical volume store0/mysql_cache.
#format_text/import_vsn1.c:572         Importing logical volume store0/lvol0_pmspare.
#format_text/import_vsn1.c:690         Logical volume store0/lvol0_pmspare is pool metadata spare.
#toollib.c:2462       Adding store0/mysql to the list of LVs to be processed.
#toollib.c:2462       Adding store0/mysql_cache to the list of LVs to be processed.
#toollib.c:2462       Adding store0/lvol0_pmspare to the list of LVs to be processed.
#toollib.c:2493       Processing LV mysql in VG store0.
#activate/dev_manager.c:755         Getting device info for store0-mysql [LVM-0Lc2QwIzFavZ128XLnTNHrThMfghATqiXbCuoMk1XmHYImzc9yIW1341IPU4OouF]
#ioctl/libdm-iface.c:1838         dm version   [ opencount flush ]   [16384] (*1)
#ioctl/libdm-iface.c:1838         dm status  LVM-0Lc2QwIzFavZ128XLnTNHrThMfghATqiXbCuoMk1XmHYImzc9yIW1341IPU4OouF [ opencount noflush ]   [16384] (*1)
#libdm-common.c:1191         store0-mysql (253:0): read ahead is 256
#toollib.c:2493       Processing LV mysql_cache in VG store0.
Segfault


Due lack of debug data 'gdb' output is quite unusable:

0x00005555555bd4d9 in lv_info_with_seg_status ()
(gdb) bt
#0  0x00005555555bd4d9 in lv_info_with_seg_status ()
#1  0x00005555555a1456 in ?? ()
#2  0x00005555555a1eee in ?? ()
#3  0x00005555555ac3b7 in process_each_lv_in_vg ()
#4  0x00005555555ad4ea in process_each_lv ()
#5  0x00005555555a3fe9 in ?? ()
#6  0x00005555555a4307 in ?? ()
#7  0x0000555555597058 in lvm_run_command ()
#8  0x0000555555597ac5 in lvm2_main ()
#9  0x00007ffff6b4ab45 in __libc_start_main (main=0x55555557d9a0 <main>, argc=1, argv=0x7fffffffec28, init=<optimized out>, fini=<optimized out>,
    rtld_fini=<optimized out>, stack_end=0x7fffffffec18) at libc-start.c:287
#10 0x000055555557d9ce in _start ()

Comment 1 Timur Bakeyev 2016-07-13 02:50:52 UTC
Strace also doesn't say much:

3891  execve("/sbin/lvs", ["lvs", "-a"], [/* 20 vars */]) = 0
3891  brk(0)                            = 0x55f4b49be000
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf8a000
3891  access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
3891  open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=26525, ...}) = 0
3891  mmap(NULL, 26525, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f56acf83000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libudev.so.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0205\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=59600, ...}) = 0
3891  mmap(NULL, 2156736, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56acb5d000
3891  mprotect(0x7f56acb6b000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56acd6a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xd000) = 0x7f56acd6a000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\16\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=14664, ...}) = 0
3891  mmap(NULL, 2109712, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ac959000
3891  mprotect(0x7f56ac95c000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56acb5b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f56acb5b000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libblkid.so.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\210\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=258688, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf82000
3891  mmap(NULL, 2358248, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ac719000
3891  mprotect(0x7f56ac754000, 2097152, PROT_NONE) = 0
3891  mmap(0x7f56ac954000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3b000) = 0x7f56ac954000
3891  mmap(0x7f56ac958000, 3048, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f56ac958000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libdevmapper-event.so.1.02.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \35\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=26952, ...}) = 0
3891  mmap(NULL, 2122328, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ac512000
3891  mprotect(0x7f56ac518000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56ac717000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x5000) = 0x7f56ac717000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libdevmapper.so.1.02.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\257\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=407192, ...}) = 0
3891  mmap(NULL, 2506800, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ac2ad000
3891  mprotect(0x7f56ac30c000, 2097152, PROT_NONE) = 0
3891  mmap(0x7f56ac50c000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x5f000) = 0x7f56ac50c000
3891  mmap(0x7f56ac510000, 4144, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f56ac510000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libreadline.so.5", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0pN\1\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=261904, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf81000
3891  mmap(NULL, 2362328, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ac06c000
3891  mprotect(0x7f56ac0a5000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56ac2a4000, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x38000) = 0x7f56ac2a4000
3891  mmap(0x7f56ac2ac000, 3032, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f56ac2ac000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/librt.so.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P#\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=31784, ...}) = 0
3891  mmap(NULL, 2128920, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56abe64000
3891  mprotect(0x7f56abe6b000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56ac06a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7f56ac06a000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\34\2\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0755, st_size=1738176, ...}) = 0
3891  mmap(NULL, 3844640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56abab9000
3891  mprotect(0x7f56abc5b000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56abe5a000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1a1000) = 0x7f56abe5a000
3891  mmap(0x7f56abe60000, 14880, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f56abe60000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libpthread.so.0", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20o\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0755, st_size=137440, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf80000
3891  mmap(NULL, 2213008, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ab89c000
3891  mprotect(0x7f56ab8b4000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56abab3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x17000) = 0x7f56abab3000
3891  mmap(0x7f56abab5000, 13456, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f56abab5000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libuuid.so.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \26\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=18904, ...}) = 0
3891  mmap(NULL, 2113952, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ab697000
3891  mprotect(0x7f56ab69b000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56ab89a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7f56ab89a000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20c\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=142728, ...}) = 0
3891  mmap(NULL, 2246896, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ab472000
3891  mprotect(0x7f56ab493000, 2097152, PROT_NONE) = 0
3891  mmap(0x7f56ab693000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x21000) = 0x7f56ab693000
3891  mmap(0x7f56ab695000, 6384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f56ab695000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libm.so.6", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200U\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=1051056, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf7f000
3891  mmap(NULL, 3146072, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56ab171000
3891  mprotect(0x7f56ab271000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56ab470000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xff000) = 0x7f56ab470000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libtinfo.so.5", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\316\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=171800, ...}) = 0
3891  mmap(NULL, 2269152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56aaf47000
3891  mprotect(0x7f56aaf6d000, 2093056, PROT_NONE) = 0
3891  mmap(0x7f56ab16c000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x25000) = 0x7f56ab16c000
3891  close(3)                          = 0
3891  access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
3891  open("/lib/x86_64-linux-gnu/libpcre.so.3", O_RDONLY|O_CLOEXEC) = 3
3891  read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\27\0\0\0\0\0\0"..., 832) = 832
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=448440, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf7e000
3891  mmap(NULL, 2543976, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f56aacd9000
3891  mprotect(0x7f56aad45000, 2097152, PROT_NONE) = 0
3891  mmap(0x7f56aaf45000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6c000) = 0x7f56aaf45000
3891  close(3)                          = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf7d000
3891  mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf7b000
3891  arch_prctl(ARCH_SET_FS, 0x7f56acf7b840) = 0
3891  mprotect(0x7f56abe5a000, 16384, PROT_READ) = 0
3891  mprotect(0x7f56abab3000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56aaf45000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ab16c000, 16384, PROT_READ) = 0
3891  mprotect(0x7f56ab470000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56acb5b000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ab693000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ab89a000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ac06a000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56acd6a000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ac50c000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ac717000, 4096, PROT_READ) = 0
3891  mprotect(0x7f56ac954000, 12288, PROT_READ) = 0
3891  mprotect(0x55f4b4505000, 36864, PROT_READ) = 0
3891  mprotect(0x7f56acf8c000, 4096, PROT_READ) = 0
3891  munmap(0x7f56acf83000, 26525)     = 0
3891  set_tid_address(0x7f56acf7bb10)   = 3891
3891  set_robust_list(0x7f56acf7bb20, 24) = 0
3891  rt_sigaction(SIGRTMIN, {0x7f56ab8a29f0, [], SA_RESTORER|SA_SIGINFO, 0x7f56ab8ab8d0}, NULL, 8) = 0
3891  rt_sigaction(SIGRT_1, {0x7f56ab8a2a80, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x7f56ab8ab8d0}, NULL, 8) = 0
3891  rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
3891  getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM64_INFINITY}) = 0
3891  statfs("/sys/fs/selinux", 0x7ffc894ab9e0) = -1 ENOENT (No such file or directory)
3891  statfs("/selinux", 0x7ffc894ab9e0) = -1 ENOENT (No such file or directory)
3891  brk(0)                            = 0x55f4b49be000
3891  brk(0x55f4b49df000)               = 0x55f4b49df000
3891  open("/proc/filesystems", O_RDONLY) = 3
3891  fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tr"..., 1024) = 360
3891  read(3, "", 1024)                 = 0
3891  close(3)                          = 0
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  fcntl(2, F_GETFD)                 = 0
3891  fcntl(0, F_GETFD)                 = 0
3891  fcntl(1, F_GETFD)                 = 0
3891  fcntl(2, F_GETFD)                 = 0
3891  getppid()                         = 3886
3891  open("/proc/3886/cmdline", O_RDONLY) = 3
3891  read(3, "strace\0-f\0-o\0lvs.strace\0lvs\0-a\0", 31) = 31
3891  close(3)                          = 0
3891  openat(AT_FDCWD, "/proc/self/fd", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 3
3891  getdents(3, /* 7 entries */, 32768) = 168
3891  fcntl(7, F_GETFD)                 = 0
3891  readlink("/proc/self/fd/7", "pipe:[49265]", 4095) = 12
3891  close(7)                          = 0
3891  write(2, "File descriptor 7 (pipe:[49265])"..., 58) = 58
3891  write(2, " Parent PID 3886: strace\n", 25) = 25
3891  getdents(3, /* 0 entries */, 32768) = 0
3891  close(3)                          = 0
3891  open("/etc/udev/udev.conf", O_RDONLY|O_CLOEXEC) = 3
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=148, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  read(3, "# see udev(7) for details\n#\n# ud"..., 4096) = 148
3891  read(3, "", 4096)                 = 0
3891  close(3)                          = 0
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  open("/usr/lib/locale/locale-archive", O_RDONLY|O_CLOEXEC) = 3
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=1607712, ...}) = 0
3891  mmap(NULL, 1607712, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f56acdf2000
3891  close(3)                          = 0
3891  fcntl(0, F_GETFD)                 = 0
3891  fcntl(0, F_GETFL)                 = 0x8002 (flags O_RDWR|O_LARGEFILE)
3891  dup(0)                            = 3
3891  close(0)                          = 0
3891  dup2(3, 0)                        = 0
3891  close(3)                          = 0
3891  fcntl(0, F_GETFL)                 = 0x8002 (flags O_RDWR|O_LARGEFILE)
3891  fstat(0, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  lseek(0, 0, SEEK_CUR)             = -1 ESPIPE (Illegal seek)
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  fcntl(1, F_GETFD)                 = 0
3891  fcntl(1, F_GETFL)                 = 0x8002 (flags O_RDWR|O_LARGEFILE)
3891  dup(1)                            = 3
3891  close(1)                          = 0
3891  dup2(3, 1)                        = 1
3891  close(3)                          = 0
3891  fcntl(1, F_GETFL)                 = 0x8002 (flags O_RDWR|O_LARGEFILE)
3891  fstat(1, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  lseek(1, 0, SEEK_CUR)             = -1 ESPIPE (Illegal seek)
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  stat("/etc/lvm", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
3891  stat("/etc/lvm/lvm.conf", {st_mode=S_IFREG|0644, st_size=92468, ...}) = 0
3891  stat("/etc/lvm/lvm.conf", {st_mode=S_IFREG|0644, st_size=92468, ...}) = 0
3891  open("/etc/lvm/lvm.conf", O_RDONLY) = 3
3891  mmap(NULL, 92468, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f56acddb000
3891  munmap(0x7f56acddb000, 92468)     = 0
3891  close(3)                          = 0
3891  open("/etc/localtime", O_RDONLY|O_CLOEXEC) = 3
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  fstat(3, {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  read(3, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\r\0\0\0\r\0\0\0\0"..., 4096) = 2917
3891  lseek(3, -1843, SEEK_CUR)         = 1074
3891  read(3, "TZif2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\16\0\0\0\16\0\0\0\0"..., 4096) = 1843
3891  close(3)                          = 0
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  uname({sys="Linux", node="mysql21.ad-lab.nl", ...}) = 0
3891  stat("/etc/lvm/lvmlocal.conf", 0x7ffc894ab7b0) = -1 ENOENT (No such file or directory)
3891  umask(077)                        = 022
3891  stat("/proc", {st_mode=S_IFDIR|0555, st_size=0, ...}) = 0
3891  open("/proc/mounts", O_RDONLY)    = 3
3891  fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  read(3, "sysfs /sys sysfs rw,nosuid,nodev"..., 1024) = 1024
3891  close(3)                          = 0
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  brk(0x55f4b4a02000)               = 0x55f4b4a02000
3891  open("/proc/devices", O_RDONLY)   = 3
3891  fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acf89000
3891  read(3, "Character devices:\n  1 mem\n  4 /"..., 1024) = 477
3891  read(3, "", 1024)                 = 0
3891  close(3)                          = 0
3891  munmap(0x7f56acf89000, 4096)      = 0
3891  access("/run/udev/control", F_OK) = 0
3891  stat("/dev", {st_mode=S_IFDIR|0755, st_size=3140, ...}) = 0
3891  open("/dev/urandom", O_RDONLY)    = 3
3891  read(3, "\345\334\354\355", 4)    = 4
3891  close(3)                          = 0
3891  getuid()                          = 0
3891  geteuid()                         = 0
3891  stat("/etc/lvm/lvm.conf", {st_mode=S_IFREG|0644, st_size=92468, ...}) = 0
3891  stat("/etc/lvm/lvmlocal.conf", 0x7ffc894ab7b0) = -1 ENOENT (No such file or directory)
3891  access("/run/lvm/lvmetad.socket", F_OK) = 0
3891  socket(PF_LOCAL, SOCK_STREAM, 0)  = 3
3891  connect(3, {sa_family=AF_LOCAL, sun_path="/run/lvm/lvmetad.socket"}, 110) = 0
3891  write(3, "request = \"hello\"\n", 18) = 18
3891  write(3, "\n##\n", 4)             = 4
3891  read(3, "response = \"OK\"\nprotocol = \"lvme", 32) = 32
3891  read(3, "tad\"\nversion = 1\n\n##\n", 1024) = 21
3891  brk(0x55f4b4a25000)               = 0x55f4b4a25000
3891  brk(0x55f4b4a21000)               = 0x55f4b4a21000
3891  stat("/sys/subsystem/block/devices", 0x7ffc894aa6c0) = -1 ENOENT (No such file or directory)
3891  stat("/sys/class/block", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
3891  stat("/run/lvm/.cache", 0x7ffc894ab6d0) = -1 ENOENT (No such file or directory)
3891  stat("/run/lock/lvm", {st_mode=S_IFDIR|0700, st_size=60, ...}) = 0
3891  access("/run/lock/lvm", R_OK|W_OK|X_OK) = 0
3891  write(3, "request = \"get_global_info\"\ntoke"..., 66) = 66
3891  write(3, "\n##\n", 4)             = 4
3891  read(3, "response = \"OK\"\nglobal_invalid =", 32) = 32
3891  read(3, " 0\nglobal_disable = 0\ndisable_re"..., 1024) = 163
3891  write(3, "request = \"get_global_info\"\ntoke"..., 66) = 66
3891  write(3, "\n##\n", 4)             = 4
3891  read(3, "response = \"OK\"\nglobal_invalid =", 32) = 32
3891  read(3, " 0\nglobal_disable = 0\ndisable_re"..., 1024) = 163
3891  write(3, "request=\"vg_list\"\ntoken =\"filter"..., 85) = 85
3891  write(3, "\n##\n", 4)             = 4
3891  read(3, "response=\"OK\"\nvolume_groups {\n\t0", 32) = 32
3891  read(3, "Lc2Qw-IzFa-vZ12-8XLn-TNHr-ThMf-g"..., 1024) = 67
3891  rt_sigprocmask(SIG_SETMASK, ~[RTMIN RT_1], [], 8) = 0
3891  open("/run/lock/lvm/V_store0:aux", O_RDWR|O_CREAT|O_APPEND, 0777) = 4
3891  rt_sigaction(SIGINT, NULL, {SIG_DFL, [], 0}, 8) = 0
3891  rt_sigaction(SIGINT, {0x55f4b425bc20, [], SA_RESTORER, 0x7f56abaee0e0}, {SIG_DFL, [], 0}, 8) = 0
3891  rt_sigprocmask(SIG_BLOCK, NULL, ~[KILL STOP RTMIN RT_1], 8) = 0
3891  rt_sigprocmask(SIG_SETMASK, ~[INT KILL STOP RTMIN RT_1], NULL, 8) = 0
3891  flock(4, LOCK_EX)                 = 0
3891  rt_sigaction(SIGINT, {SIG_DFL, [], SA_RESTORER, 0x7f56abaee0e0}, NULL, 8) = 0
3891  stat("/run/lock/lvm/V_store0:aux", {st_mode=S_IFREG|0700, st_size=0, ...}) = 0
3891  fstat(4, {st_mode=S_IFREG|0700, st_size=0, ...}) = 0
3891  flock(4, LOCK_EX|LOCK_NB)         = 0
3891  stat("/run/lock/lvm/V_store0:aux", {st_mode=S_IFREG|0700, st_size=0, ...}) = 0
3891  fstat(4, {st_mode=S_IFREG|0700, st_size=0, ...}) = 0
3891  unlink("/run/lock/lvm/V_store0:aux") = 0
3891  close(4)                          = 0
3891  open("/run/lock/lvm/V_store0", O_RDWR|O_CREAT|O_APPEND, 0777) = 4
3891  rt_sigaction(SIGINT, NULL, {SIG_DFL, [], SA_RESTORER, 0x7f56abaee0e0}, 8) = 0
3891  rt_sigaction(SIGINT, {0x55f4b425bc20, [], SA_RESTORER, 0x7f56abaee0e0}, {SIG_DFL, [], SA_RESTORER, 0x7f56abaee0e0}, 8) = 0
3891  rt_sigprocmask(SIG_BLOCK, NULL, ~[INT KILL STOP RTMIN RT_1], 8) = 0
3891  flock(4, LOCK_SH)                 = 0
3891  rt_sigaction(SIGINT, {SIG_DFL, [], SA_RESTORER, 0x7f56abaee0e0}, NULL, 8) = 0
3891  stat("/run/lock/lvm/V_store0", {st_mode=S_IFREG|0700, st_size=0, ...}) = 0
3891  fstat(4, {st_mode=S_IFREG|0700, st_size=0, ...}) = 0
3891  write(3, "request=\"vg_lookup\"\nuuid =\"0Lc2Q"..., 149) = 149
3891  write(3, "\n##\n", 4)             = 4
3891  read(3, "response=\"OK\"\nname=\"store0\"\nmeta", 32) = 32
3891  read(3, "data {\n\tid=\"0Lc2Qw-IzFa-vZ12-8XL"..., 1024) = 1024
3891  read(3, "ql {\n\t\t\tid=\"XbCuoM-k1Xm-HYIm-zc9"..., 1056) = 833
3891  lstat("/sys//dev/block/8:17", {st_mode=S_IFLNK|0777, st_size=0, ...}) = 0
3891  stat("/sys/subsystem", 0x7ffc894a9ae0) = -1 ENOENT (No such file or directory)
3891  openat(AT_FDCWD, "/sys/bus", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 30 entries */, 32768) = 816
3891  open("/usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache", O_RDONLY) = 6
3891  fstat(6, {st_mode=S_IFREG|0644, st_size=26258, ...}) = 0
3891  mmap(NULL, 26258, PROT_READ, MAP_SHARED, 6, 0) = 0x7f56acf83000
3891  close(6)                          = 0
3891  futex(0x7f56abe5f8f8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/class", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 48 entries */, 32768) = 1352
3891  openat(AT_FDCWD, "/sys/class/block", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 6
3891  brk(0x55f4b4a45000)               = 0x55f4b4a45000
3891  getdents(6, /* 12 entries */, 32768) = 304
3891  readlink("/sys/class/block/sda", "../../devices/pci0000:00/0000:00"..., 1024) = 86
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/sdb", "../../devices/pci0000:00/0000:00"..., 1024) = 86
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/dm-0", "../../devices/virtual/block/dm-0", 1024) = 32
3891  stat("/sys/devices/virtual/block/dm-0/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/sda1", "../../devices/pci0000:00/0000:00"..., 1024) = 91
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/sda2", "../../devices/pci0000:00/0000:00"..., 1024) = 91
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda2/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/sda3", "../../devices/pci0000:00/0000:00"..., 1024) = 91
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda3/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/sda4", "../../devices/pci0000:00/0000:00"..., 1024) = 91
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda4/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/sdb1", "../../devices/pci0000:00/0000:00"..., 1024) = 91
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/sdb1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/nvme0n1p1", "../../devices/pci0000:80/0000:80"..., 1024) = 105
3891  stat("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/nvme0n1p1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  readlink("/sys/class/block/nvme0n1", "../../devices/pci0000:80/0000:80"..., 1024) = 95
3891  stat("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  getdents(6, /* 0 entries */, 32768) = 0
3891  close(6)                          = 0
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=0\nDEVNAME=sda\nDEVT"..., 4096) = 41
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sda", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 0), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/subsystem", "../../../../../../../../../class"..., 1024) = 38
3891  open("/run/udev/data/b8:0", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=813, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/scsi-36141877064c5c"..., 4096) = 813
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 0), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 0), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 0), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda1", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda1/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=1\nDEVNAME=sda1\nDEV"..., 4096) = 55
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sda1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 1), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda1/subsystem", "../../../../../../../../../../cl"..., 1024) = 41
3891  open("/run/udev/data/b8:1", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=1135, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/scsi-36141877064c5c"..., 4096) = 1135
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 1), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 1), ...}) = 0
3891  stat("/dev/disk/by-partuuid/6c525ce1-6004-4fc7-b35f-64b41bfe93e8", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 1), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 1), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda2", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda2/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda2/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=2\nDEVNAME=sda2\nDEV"..., 4096) = 55
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sda2", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 2), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda2/subsystem", "../../../../../../../../../../cl"..., 1024) = 41
3891  open("/run/udev/data/b8:2", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=1344, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/scsi-36141877064c5c"..., 4096) = 1344
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part2", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 2), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part2", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 2), ...}) = 0
3891  stat("/dev/disk/by-partuuid/15121e3d-0fbc-4802-a08b-ce92fba3f527", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 2), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part2", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 2), ...}) = 0
3891  stat("/dev/disk/by-uuid/a2966403-a931-4c10-bb1e-144786d52540", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 2), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda3", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda3/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda3/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=3\nDEVNAME=sda3\nDEV"..., 4096) = 55
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sda3", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 3), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda3/subsystem", "../../../../../../../../../../cl"..., 1024) = 41
3891  open("/run/udev/data/b8:3", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=1341, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/scsi-36141877064c5c"..., 4096) = 1341
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part3", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 3), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part3", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 3), ...}) = 0
3891  stat("/dev/disk/by-partuuid/e21b8ada-9f80-4ac8-94fd-214c43e46bf7", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 3), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part3", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 3), ...}) = 0
3891  stat("/dev/disk/by-uuid/a47e10c2-1301-4177-a094-b41c5b3baafe", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 3), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda4", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda4/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda4/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=4\nDEVNAME=sda4\nDEV"..., 4096) = 55
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sda4", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 4), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:0/0:2:0:0/block/sda/sda4/subsystem", "../../../../../../../../../../cl"..., 1024) = 41
3891  open("/run/udev/data/b8:4", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=1144, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/scsi-36141877064c5c"..., 4096) = 1144
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f102113bc07f90f-part4", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 4), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f102113bc07f90f-part4", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 4), ...}) = 0
3891  stat("/dev/disk/by-partuuid/5e98b9a0-f43b-41bd-a7c2-969685f0a5ba", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 4), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:0:0-part4", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 4), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=16\nDEVNAME=sdb\nDEV"..., 4096) = 42
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sdb", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 16), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/subsystem", "../../../../../../../../../class"..., 1024) = 38
3891  open("/run/udev/data/b8:16", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=814, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/scsi-36141877064c5c"..., 4096) = 814
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f1021d7c7b0787a", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 16), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f1021d7c7b0787a", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 16), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:1:0", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 16), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/sdb1", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/sdb1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/sdb1/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=8\nMINOR=17\nDEVNAME=sdb1\nDE"..., 4096) = 56
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/sdb1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  readlink("/sys/devices/pci0000:00/0000:00:01.0/0000:02:00.0/host0/target0:2:1/0:2:1:0/block/sdb/sdb1/subsystem", "../../../../../../../../../../cl"..., 1024) = 41
3891  open("/run/udev/data/b8:17", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=1372, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/lvm-pv-uuid-MDHQo2-"..., 4096) = 1372
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/lvm-pv-uuid-MDHQo2-nsC2-GyAC-PjyL-E744-HjWe-x8jOod", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  stat("/dev/disk/by-id/scsi-36141877064c5cb001f1021d7c7b0787a-part1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  stat("/dev/disk/by-id/wwn-0x6141877064c5cb001f1021d7c7b0787a-part1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  stat("/dev/disk/by-partuuid/b9a4ee34-f22a-4729-94a4-064a17cb310c", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  stat("/dev/disk/by-path/pci-0000:02:00.0-scsi-0:2:1:0-part1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  readlink("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=259\nMINOR=0\nDEVNAME=nvme0n"..., 4096) = 47
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/nvme0n1", {st_mode=S_IFBLK|0660, st_rdev=makedev(259, 0), ...}) = 0
3891  readlink("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/subsystem", "../../../../../../../../../class"..., 1024) = 38
3891  open("/run/udev/data/b259:0", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=119, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "W:9\nI:10372\nE:ID_FS_TYPE=\nE:ID_P"..., 4096) = 119
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  readlink("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/nvme0n1p1", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/nvme0n1p1/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/nvme0n1p1/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=259\nMINOR=1\nDEVNAME=nvme0n"..., 4096) = 62
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/nvme0n1p1", {st_mode=S_IFBLK|0660, st_rdev=makedev(259, 1), ...}) = 0
3891  readlink("/sys/devices/pci0000:80/0000:80:02.0/0000:83:00.0/0000:84:04.0/0000:85:00.0/nvme/nvme0/nvme0n1/nvme0n1p1/subsystem", "../../../../../../../../../../cl"..., 1024) = 41
3891  open("/run/udev/data/b259:1", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=658, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/lvm-pv-uuid-q13u0l-"..., 4096) = 658
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/lvm-pv-uuid-q13u0l-X2tf-reyg-pVg4-sWld-s2BV-bO9J2v", {st_mode=S_IFBLK|0660, st_rdev=makedev(259, 1), ...}) = 0
3891  stat("/dev/disk/by-partuuid/8bb5c1dd-3eaf-4e71-a71f-471713961e65", {st_mode=S_IFBLK|0660, st_rdev=makedev(259, 1), ...}) = 0
3891  readlink("/sys/devices/virtual/block/dm-0", 0x7ffc894a9750, 1024) = -1 EINVAL (Invalid argument)
3891  stat("/sys/devices/virtual/block/dm-0/uevent", {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  open("/sys/devices/virtual/block/dm-0/uevent", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "MAJOR=253\nMINOR=0\nDEVNAME=dm-0\nD"..., 4096) = 44
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/dm-0", {st_mode=S_IFBLK|0660, st_rdev=makedev(253, 0), ...}) = 0
3891  readlink("/sys/devices/virtual/block/dm-0/subsystem", "../../../../class/block", 1024) = 23
3891  open("/run/udev/data/b253:0", O_RDONLY|O_CLOEXEC) = 5
3891  fstat(5, {st_mode=S_IFREG|0644, st_size=652, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(5, "S:disk/by-id/dm-name-store0-mysq"..., 4096) = 652
3891  read(5, "", 4096)                 = 0
3891  close(5)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  stat("/dev/disk/by-id/dm-name-store0-mysql", {st_mode=S_IFBLK|0660, st_rdev=makedev(253, 0), ...}) = 0
3891  stat("/dev/disk/by-id/dm-uuid-LVM-0Lc2QwIzFavZ128XLnTNHrThMfghATqiXbCuoMk1XmHYImzc9yIW1341IPU4OouF", {st_mode=S_IFBLK|0660, st_rdev=makedev(253, 0), ...}) = 0
3891  lstat("/dev/disk/by-id/dm-uuid-LVM-0Lc2QwIzFavZ128XLnTNHrThMfghATqiXbCuoMk1XmHYImzc9yIW1341IPU4OouF", {st_mode=S_IFLNK|0777, st_size=10, ...}) = 0
3891  lstat("/dev/disk/by-id/dm-name-store0-mysql", {st_mode=S_IFLNK|0777, st_size=10, ...}) = 0
3891  stat("/dev/disk/by-uuid/bcc0ff6a-9bd3-41a8-b741-4b871cce9596", {st_mode=S_IFBLK|0660, st_rdev=makedev(253, 0), ...}) = 0
3891  lstat("/dev/disk/by-uuid", {st_mode=S_IFDIR|0755, st_size=100, ...}) = 0
3891  lstat("/dev/disk/by-id", {st_mode=S_IFDIR|0755, st_size=400, ...}) = 0
3891  lstat("/dev/disk/by-uuid/bcc0ff6a-9bd3-41a8-b741-4b871cce9596", {st_mode=S_IFLNK|0777, st_size=10, ...}) = 0
3891  lstat("/dev/disk/by-id/dm-name-store0-mysql", {st_mode=S_IFLNK|0777, st_size=10, ...}) = 0
3891  stat("/dev/mapper/store0-mysql", {st_mode=S_IFBLK|0660, st_rdev=makedev(253, 0), ...}) = 0
3891  stat("/dev/store0/mysql", {st_mode=S_IFBLK|0660, st_rdev=makedev(253, 0), ...}) = 0
3891  brk(0x55f4b4a35000)               = 0x55f4b4a35000
3891  stat("/sys/dev/block", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
3891  openat(AT_FDCWD, "/sys/dev/block/259:0/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:0/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/253:0/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/259:1/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:1/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:2/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:3/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:4/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:16/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 2 entries */, 32768) = 48
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  openat(AT_FDCWD, "/sys/dev/block/8:17/holders/", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 5
3891  getdents(5, /* 3 entries */, 32768) = 72
3891  uname({sys="Linux", node="mysql21.ad-lab.nl", ...}) = 0
3891  open("/proc/devices", O_RDONLY)   = 6
3891  fstat(6, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(6, "Character devices:\n  1 mem\n  4 /"..., 1024) = 477
3891  close(6)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  open("/sys/dev/block/253:0/dm/uuid", O_RDONLY) = 6
3891  fstat(6, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
3891  mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f56acdf1000
3891  read(6, "LVM-0Lc2QwIzFavZ128XLnTNHrThMfgh"..., 4096) = 69
3891  close(6)                          = 0
3891  munmap(0x7f56acdf1000, 4096)      = 0
3891  getdents(5, /* 0 entries */, 32768) = 0
3891  close(5)                          = 0
3891  write(3, "request=\"vg_clear_outdated_pvs\"\n"..., 146) = 146
3891  write(3, "\n##\n", 4)             = 4
3891  read(3, "response = \"OK\"\n\n##\n", 32) = 20
3891  stat("/dev/sdb1", {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  open("/dev/sdb1", O_RDONLY|O_DIRECT|O_NOATIME) = 5
3891  fstat(5, {st_mode=S_IFBLK|0660, st_rdev=makedev(8, 17), ...}) = 0
3891  ioctl(5, BLKGETSIZE64, 4798551145984) = 0
3891  stat("/dev/nvme0n1p1", {st_mode=S_IFBLK|0660, st_rdev=makedev(259, 1), ...}) = 0
3891  open("/dev/nvme0n1p1", O_RDONLY|O_DIRECT|O_NOATIME) = 6
3891  fstat(6, {st_mode=S_IFBLK|0660, st_rdev=makedev(259, 1), ...}) = 0
3891  ioctl(6, BLKGETSIZE64, 536870912000) = 0
3891  uname({sys="Linux", node="mysql21.ad-lab.nl", ...}) = 0
3891  stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  stat("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2917, ...}) = 0
3891  stat("/dev/mapper/control", {st_mode=S_IFCHR|0600, st_rdev=makedev(10, 236), ...}) = 0
3891  open("/dev/mapper/control", O_RDWR) = 7
3891  ioctl(7, DM_VERSION, 0x55f4b4a0fc50) = 0
3891  ioctl(7, DM_TABLE_STATUS, 0x55f4b4a0fc50) = 0
3891  open("/sys/dev/block/253:0/bdi/read_ahead_kb", O_RDONLY) = 8
3891  read(8, "128\n", 23)              = 4
3891  close(8)                          = 0
3891  --- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x10} ---
3891  +++ killed by SIGSEGV +++


Strace taken on another identical machine, so you may see mysql21 instead of mysql25 somewhere. Machines have exactly the same setup and both(all 6, actually) failed the same way.

Comment 2 Peter Rajnoha 2016-07-13 12:02:14 UTC
Reproduced, complete backtrace is:

(gdb) bt
#0  0x00005555555cf322 in lv_info_with_seg_status (cmd=0x555555954030, lv=0x5555559e3238, lv_seg=0x0, use_layer=0, status=0x7fffffffd970, with_open_count=1, with_read_ahead=1) at activate/activate.c:792
#1  0x00005555555ac960 in _do_info_and_status (cmd=0x555555954030, lv=0x5555559e3238, lv_seg=0x0, status=0x7fffffffd970, do_info=1, do_status=1) at reporter.c:122
#2  0x00005555555acaad in _do_lvs_with_info_and_status_single (cmd=0x555555954030, lv=0x5555559e3238, do_info=1, do_status=1, handle=0x555555999858) at reporter.c:148
#3  0x00005555555acc2e in _lvs_with_info_and_status_single (cmd=0x555555954030, lv=0x5555559e3238, handle=0x555555999858) at reporter.c:184
#4  0x00005555555b80ea in process_each_lv_in_vg (cmd=0x555555954030, vg=0x5555559e2ba0, arg_lvnames=0x7fffffffdbe0, tags_in=0x7fffffffdd50, stop_on_error=0, handle=0x555555999858, process_single_lv=0x5555555acbf9 <_lvs_with_info_and_status
_single>) at toollib.c:2495
#5  0x00005555555b9189 in _process_lv_vgnameid_list (cmd=0x555555954030, read_flags=262144, vgnameids_to_process=0x7fffffffdd10, arg_vgnames=0x7fffffffdd40, arg_lvnames=0x7fffffffdd30, arg_tags=0x7fffffffdd50, handle=0x555555999858, proces
s_single_lv=0x5555555acbf9 <_lvs_with_info_and_status_single>) at toollib.c:2820
#6  0x00005555555b9846 in process_each_lv (cmd=0x555555954030, argc=0, argv=0x7fffffffe358, one_vgname=0x0, one_lvname=0x0, read_flags=262144, handle=0x555555999858, process_single_lv=0x5555555acbf9 <_lvs_with_info_and_status_single>) at t
oollib.c:2966
#7  0x00005555555af71f in _do_report (cmd=0x555555954030, handle=0x555555999858, args=0x7fffffffde70, single_args=0x7fffffffdeb8) at reporter.c:1090
#8  0x00005555555b0cb5 in _report (cmd=0x555555954030, argc=0, argv=0x7fffffffe358, report_type=LVS) at reporter.c:1388
#9  0x00005555555b0d21 in lvs (cmd=0x555555954030, argc=0, argv=0x7fffffffe358) at reporter.c:1403
#10 0x000055555559f974 in lvm_run_command (cmd=0x555555954030, argc=0, argv=0x7fffffffe358) at lvmcmdline.c:1715
#11 0x00005555555a1035 in lvm2_main (argc=1, argv=0x7fffffffe350) at lvmcmdline.c:2184
#12 0x00005555555cd4db in main (argc=2, argv=0x7fffffffe348) at lvm.c:22


--> we're calling lv_info_with_seg_status for some of the fields reported by lvs, but since the cache LV is not complete, it lacks some segments associated with the LV. I'll fix this one.

The other bug is that we normally shouldn't end up with this state at all.

Comment 3 Peter Rajnoha 2016-07-13 12:07:10 UTC
(In reply to Peter Rajnoha from comment #2)
> The other bug is that we normally shouldn't end up with this state at all.

Looks like missing revert on error path.

Comment 4 Timur Bakeyev 2016-07-13 12:47:39 UTC
(In reply to Peter Rajnoha from comment #3)
> (In reply to Peter Rajnoha from comment #2)
> > The other bug is that we normally shouldn't end up with this state at all.
> 
> Looks like missing revert on error path.

Reverting would be great, but I think in the first place 'lvcreate' should validate availability of the space before taking any actions.

Partially, I think it's the result of allocating metadata LV outside of the space provided in the -L/-l option. IMHO, in this particular case it's more reasonable to treat provided space as a pool from which both cache and metadata is allocated.

Comment 5 Zdenek Kabelac 2016-07-14 13:45:24 UTC
As a hot fix:

Set   lvm.conf     use_lvmetad=0

It looks like some internal protocol bug in caching.

Also when using such large cache pool sizes - you should probably use bigger chunk sizes then default 64K value.

Comment 6 Zdenek Kabelac 2016-07-14 13:56:48 UTC
Hit test case:

--
SKIP_WITH_LVMLOCKD=1
SKIP_WITH_LVMPOLLD=1

. lib/inittest

aux have_cache 1 3 0 || skip


aux prepare_vg 1 20
lvcreate -L10 -n $lv1 $vg
fail lvcreate -H -L2 -n cache $vg/$lv1

#aux prepare_pvs 1 4706950
#vgcreate $vg "$dev1"
#lvcreate -L4T -n $lv1 $vg
#fail lvcreate -H -l 127999 -n cache $vg/$lv1

vgs $vg
lvdisplay $vg
lvs -a $vg

vgremove -ff $vg
---

make check_lvmetad then shows 'vgs' receives
cache LV with segment_count=0


Note You need to log in before you can comment on or make changes to this bug.